glutAttachMenu(3GLUT)

NAME
glutAttachMenu - attaches a mouse button for the current window to the identifier of the current menu; glutDetachMenu - detaches an attached mouse button from the current window.

SYNTAX
#include <GLUT/glut.h>

void glutAttachMenu(int button);
void glutDetachMenu(int button);

ARGUMENTS

button
    The button to attach a menu or detach a menu.

DESCRIPTION
glutAttachMenu attaches a mouse button for the current window to the identifier of the current menu; glutDetachMenu detaches an attached mouse button from the current window. By attaching a menu identifier to a button, the named menu will be popped up when the user presses the specified button. button should be one of GLUT_LEFT_BUTTON, GLUT_MIDDLE_BUTTON, and GLUT_RIGHT_BUTTON. Note that the menu is attached to the button by identifier, not by reference.

SEE ALSO
glutCreateMenu, glutMouseFunc, glutMenuStatusFunc

AUTHOR
Mark J. Kilgard (mjk@nvidia.com)